Summary:        Perl interface to generate checksums from strings and from files
Name:           perl-String-CRC32
Version:        2.100
Release:        7%{?dist}
License:        Public Domain
URL:            https://metacpan.org/release/String-CRC32
Source0:        https://cpan.metacpan.org/modules/by-module/String/String-CRC32-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(strict) perl(warnings) perl(XSLoader)

%description
The CRC32 module calculates CRC sums of 32 bit lengths as integers. It generates
the same CRC values as ZMODEM, PKZIP, PICCHECK and many others. Despite its name,
this module is able to compute the checksum of files as well as strings.

%prep
%autosetup -n String-CRC32-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorarch}/String/
%{perl_vendorarch}/auto/String/
%{_mandir}/man3/String::CRC32.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.100-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.100-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.100-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.100-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.100-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.100-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 08 2022 ZoeDong <zoedong@tencent.com> - 2.100-1
- Initial build

